Create Connection
curl --request POST \
--url https://api.pathstack.io/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {},
"business_name": "<string>",
"abn": "<string>",
"email": "<string>",
"active": true,
"collection_start_time": "2023-11-07T05:31:56Z",
"collection_end_time": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.pathstack.io/connection"
payload = {
"credentials": {},
"business_name": "<string>",
"abn": "<string>",
"email": "<string>",
"active": True,
"collection_start_time": "2023-11-07T05:31:56Z",
"collection_end_time": "2023-11-07T05:31:56Z",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {},
business_name: '<string>',
abn: '<string>',
email: '<string>',
active: true,
collection_start_time: '2023-11-07T05:31:56Z',
collection_end_time: '2023-11-07T05:31:56Z',
tags: ['<string>']
})
};
fetch('https://api.pathstack.io/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_name": "<string>",
"abn": "<string>",
"email": "<string>",
"active": true,
"id": "<string>",
"tenant_id": "<string>",
"collection_start_time": "2023-11-07T05:31:56Z",
"collection_end_time": "2023-11-07T05:31:56Z",
"configuration": {}
}
}{
"error": {
"code": 400,
"message": "Invalid JWT format"
}
}{
"error": {
"code": 401,
"message": "Authentication header is missing, or token is invalid/expired."
}
}{
"error": {
"code": 403,
"message": "You do not have access to this resource"
}
}{
"error": {
"code": 422,
"message": "Field required",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
}Connections
Create Connection
This endpoint takes attributes for a new Connection and a tenant_id and creates and returns a new Connection.
The allowed values for integration_name can be found under ProviderEnum.
POST
/
connection
Create Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Available options:
mtdata, geotab, navman, mixtelematics, radius, verizon_connect, volvo, fleetsu, digital_matter, netstar, netstar_v2, webfleet, scania, linxio, geoforce, michelin_connected_fleet, navixy, netcorp, mapon Response
Successful Response
Show child attributes
Show child attributes
⌘I

